Page MenuHomePhabricator

Unknown problem with 2017 wikitext editor
Closed, ResolvedPublic0 Story Points

Description

Something strange has happened with the new wikitext editor. Please watch this video (sorry for the bad recording) and you will see that the editor totally crushed and I wasn't able to finish my comment; I had to rewrite my text. This wasn't the first time, it happens with me very often. Below you can see the error codes. Someone could help me to find a better name for the task?

Inserted data is trying to close the root node (at index 0):

writeElement https://hu.wikipedia.org/w/load.php:1418:132
	ve.dm.Document.prototype.fixupInsertion https://hu.wikipedia.org/w/load.php:1421:387
	ve.dm.TransactionBuilder.prototype.pushInsertion https://hu.wikipedia.org/w/load.php:1327:924
	ve.dm.TransactionBuilder.static.newFromInsertion https://hu.wikipedia.org/w/load.php:1310:288
	ve.ce.LinearEnterKeyDownHandler.static.execute https://hu.wikipedia.org/w/load.php:1694:764
	ve.ce.KeyDownHandlerFactory.prototype.executeHandlersForKey https://hu.wikipedia.org/w/load.php:1674:767
	ve.ce.Surface.prototype.onDocumentKeyDown https://hu.wikipedia.org/w/load.php:1622:429
	<névtelen> self-hosted:943:17
	ve.EventSequencer.prototype.callListener https://hu.wikipedia.org/w/load.php:1223:596
	ve.EventSequencer.prototype.onEvent https://hu.wikipedia.org/w/load.php:1220:953
	makeEventHandler/< https://hu.wikipedia.org/w/load.php:1218:731
	dispatch https://hu.wikipedia.org/w/load.php:65:913
	add/elemData.handle https://hu.wikipedia.org/w/load.php:60:459

node is null:

ve.ce.LinearSelection.prototype.getNodeClientRectFromRange https://hu.wikipedia.org/w/load.php:1677:724
	ve.ce.LinearSelection.prototype.getSelectionRects https://hu.wikipedia.org/w/load.php:1675:961
	ve.ce.LinearSelection.prototype.getSelectionStartAndEndRects https://hu.wikipedia.org/w/load.php:1676:554
	ve.ui.Surface.prototype.scrollCursorIntoView https://hu.wikipedia.org/w/load.php:1755:115
	oo.EventEmitter.prototype.emit https://hu.wikipedia.org/w/load.php:365:438
	ve.dm.Surface.prototype.setSelection https://hu.wikipedia.org/w/load.php:1369:116
	ve.dm.Surface.prototype.setLinearSelection https://hu.wikipedia.org/w/load.php:1365:789
	ve.ce.LinearEnterKeyDownHandler.static.execute https://hu.wikipedia.org/w/load.php:1695:265
	ve.ce.KeyDownHandlerFactory.prototype.executeHandlersForKey https://hu.wikipedia.org/w/load.php:1674:767
	ve.ce.Surface.prototype.onDocumentKeyDown https://hu.wikipedia.org/w/load.php:1622:429
	<névtelen> self-hosted:943:17
	ve.EventSequencer.prototype.callListener https://hu.wikipedia.org/w/load.php:1223:596
	ve.EventSequencer.prototype.onEvent https://hu.wikipedia.org/w/load.php:1220:953
	makeEventHandler/< https://hu.wikipedia.org/w/load.php:1218:731
	dispatch https://hu.wikipedia.org/w/load.php:65:913
	add/elemData.handle https://hu.wikipedia.org/w/load.php:60:459

Event Timeline

Bencemac created this task.Sep 17 2017, 7:45 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 17 2017, 7:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Bencemac updated the task description. (Show Details)
Bencemac updated the task description. (Show Details)Sep 17 2017, 8:02 AM

@Bencemac I tried editing a few different sections on that page (https://hu.wikipedia.org/wiki/Wikipédia:Botgazdák_üzenőfala) with the 2017 editor and had no issues. Maybe one of the engineers will be able to figure out what happened from that.

Also, how did you get wikitext syntax highlighting working? I enabled the beta feature, but it didn't do anything with the new editor. I wonder if that, or something similar, could be the problem.

Deskana triaged this task as Medium priority.Sep 18 2017, 11:45 AM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.

@Deskana Thanks your answer! I enabled the beta (on preferences) but it works without it too. Try the following: turn it off and edit a page; go to "page options" ->"syntax highlighting". I don't know how but it works. Do you have any idea?

In connection with the original subject, I've met with the bug again. As soon as I have free time I will try to reproduce and record it.

@Deskana Do the following:

  1. visit Botgazdák üzenőfala and edit a theme
  2. hit twice enter and type some characters
  3. click on the blank space (where the two enters are), "Bekezdés" (Paragraph) will disappear
  4. write something

I recorded it, please watch the video.

Stryn added a subscriber: Stryn.Sep 25 2017, 3:44 PM
Stryn added a comment.Sep 25 2017, 3:47 PM

Seem to be Firefox related problem. At least on Edge it worked well. I can reproduce with Firefox (55.0.3).

Deskana set the point value for this task to 8.Oct 11 2017, 9:40 PM
Elitre added a subscriber: Elitre.Nov 23 2017, 11:51 AM
TheDJ added a subscriber: TheDJ.

The syntax highlighting of the editor is provide by MediaWiki-extensions-CodeMirror extension, not by SyntaxHighlight which is used for syntax highlighting in all other situations.

Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 28 2018, 10:42 AM

Is this problem still occurring?

Yes, but it is possible that T180678 will solve the problem. When it's deployed, I'll test this bug again.

Bencemac closed this task as Resolved.Feb 13 2018, 9:19 AM
Bencemac claimed this task.

It seems the problem has been solved by T180678.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 13 2018, 9:19 AM
Deskana changed the point value for this task from 8 to 0.Feb 13 2018, 9:26 AM